Subject: Fuenllana

From: "Monica Hall" <[email-masked]>
Date: Wed, 2 Jan 2013 14:33:50 -0000

Does anyone have any dates for Fuenllana.  I have just come across a
   source which gives them as c.1500-1579.   It seems unlikely to me that
   he would have lived to be 79... Groves gives fl. 1553-1578.

   Monica

   --